Grants, vesting & distributions
Get Upcoming Grant Events
Returns upcoming vesting, unlock and settlement events for the org in a date range via distributionService.
Not available to API keys yet. It will need grants:read.
curl --request POST \
--url 'https://api.toku.com/tga/get-upcoming-grant-events' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"startDate": "2026-01-01T00:00:00Z",
"endDate": "2026-01-01T00:00:00Z",
"eventTypes": [
"Vesting"
],
"grantName": "string",
"recipientName": "string"
}'{
"grantEvents": [
{
"eventType": "Vesting",
"eventDate": "string",
"amount": "string",
"grantName": "string",
"grantID": "string",
"recipientName": "string",
"roleInOrgID": "string",
"roleInOrgExternalID": 0,
"eventID": "string",
"externalEmployeeID": "string",
"tokenName": "string",
"tokenIcon": "string",
"country": "string",
"employmentType": "string",
"trancheSequenceNumber": 0,
"vestingDate": "string",
"status": "string",
"tokensVested": "string",
"cumulativeTokensVested": "string",
"tokensUnlocked": "string",
"cumulativeTokensUnlocked": "string",
"tokensSettled": "string",
"settlementDate": "string",
"tokensWithheld": "string",
"eightyThreeBElection": true,
"tags": "string",
"compensationType": "string",
"activeWalletAddress": "string",
"activeWalletNetwork": "string",
"activeWalletNetworkIcon": "string",
"unlockDate": "string",
"orgName": "string",
"orgID": "string"
}
],
"tokensVestingInTimePeriod": "string",
"tokensUnlockingInTimePeriod": "string",
"totalTokensUpcomingSettlements": "string"
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
startDatestring<date-time>requiredendDatestring<date-time>requiredeventTypesstring[]grantNamestringrecipientNamestringResponse
200Successful response
grantEventsobject[]requiredShow child attributes
eventTypestringrequiredAvailable options: Vesting, Unlock, Upcoming Settlement, Warrant Unlock
eventDatestringrequiredamountstringrequiredAllowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
grantNamestringrequiredgrantIDstringrequiredrecipientNamestringrequiredroleInOrgIDstringrequiredroleInOrgExternalIDnumberrequiredeventIDstringexternalEmployeeIDstringtokenNamestringtokenIconstring | nullcountrystringemploymentTypestringtrancheSequenceNumbernumbervestingDatestringstatusstringtokensVestedstringAllowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
cumulativeTokensVestedstringAllowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
tokensUnlockedstringAllowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
cumulativeTokensUnlockedstringAllowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
tokensSettledstringAllowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
settlementDatestringtokensWithheldstringAllowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
eightyThreeBElectionbooleanrequiredtagsstring | nullcompensationTypestring | nullactiveWalletAddressstring | nullactiveWalletNetworkstring | nullactiveWalletNetworkIconstring | nullunlockDatestringorgNamestringorgIDstringtokensVestingInTimePeriodstringrequiredAllowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
tokensUnlockingInTimePeriodstringrequiredAllowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
totalTokensUpcomingSettlementsstringrequiredAllowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$